DefaultTxHook (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class DefaultTxHook

    java.lang.Object
      org.neo4j.kernel.DefaultTxHook

All Implemented Interfaces:
  org.neo4j.kernel.impl.transaction.TxHook

    public class DefaultTxHook

extends Object
implements org.neo4j.kernel.impl.transaction.TxHook

Constructor Summary
`DefaultTxHook()`

Method Summary
`void` | `finishTransaction(int eventIdentifier, boolean success)`
`boolean` | `freeIdsDuringRollback()`
`boolean` | `hasAnyLocks(Transaction tx)`
`void` | `initializeTransaction(int eventIdentifier)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTxHook

    public DefaultTxHook()

Method Detail

### initializeTransaction

    public void initializeTransaction(int eventIdentifier)

  Specified by:
    `initializeTransaction` in interface `org.neo4j.kernel.impl.transaction.TxHook`

### hasAnyLocks

    public boolean hasAnyLocks(Transaction tx)

  Specified by:
    `hasAnyLocks` in interface `org.neo4j.kernel.impl.transaction.TxHook`

### finishTransaction

    public void finishTransaction(int eventIdentifier,
                                  boolean success)

  Specified by:
    `finishTransaction` in interface `org.neo4j.kernel.impl.transaction.TxHook`

### freeIdsDuringRollback

    public boolean freeIdsDuringRollback()

  Specified by:
    `freeIdsDuringRollback` in interface `org.neo4j.kernel.impl.transaction.TxHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.